using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsApplication1
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}		

		private void Form1_Load(object sender, EventArgs e)
		{
			// TODO: This line of code loads data into the 'nwindDataSet.Customers' table. You can move, or remove it, as needed.
			this.customersTableAdapter.Fill(this.nwindDataSet.Customers);

		}

		private void radGridView1_ValueChanged(object sender, EventArgs e)
		{
			if (radGridView1.MasterGridViewTemplate.CurrentColumn.UniqueName == "Bool")
			{
				GridCheckBoxCellElement cell = (GridCheckBoxCellElement)sender;
				RadCheckBoxEditor editor = (RadCheckBoxEditor)cell.Children[0];
				editor.SaveValue(); 				
			}
		}
	}
}